-- phpMyAdmin SQL Dump
-- version 3.4.5
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Apr 01, 2014 at 02:59 PM
-- Server version: 5.5.16
-- PHP Version: 5.3.8

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `tms`
--

-- --------------------------------------------------------

--
-- Table structure for table `clockin`
--

CREATE TABLE IF NOT EXISTS `clockin` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `code` varchar(200) NOT NULL,
  `cdate` date NOT NULL,
  `ctime` datetime NOT NULL,
  `ctype` varchar(10) NOT NULL,
  `minput` varchar(2) NOT NULL,
  `updatedby` varchar(100) NOT NULL,
  `updatedtime` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=7 ;

--
-- Dumping data for table `clockin`
--

INSERT INTO `clockin` (`id`, `code`, `cdate`, `ctime`, `ctype`, `minput`, `updatedby`, `updatedtime`) VALUES
(1, '0001', '2014-03-21', '2014-03-21 07:44:00', 'in', 'N', '', '0000-00-00 00:00:00'),
(3, '0001', '2014-03-22', '2014-03-22 08:11:00', 'in', '', '', '0000-00-00 00:00:00'),
(4, '0001', '2014-03-23', '2014-03-23 07:42:00', 'in', '', '', '0000-00-00 00:00:00'),
(5, '0001', '2014-03-21', '2014-03-21 20:45:00', 'in', '', '', '0000-00-00 00:00:00'),
(6, '0001', '2014-03-01', '2014-03-01 16:50:00', 'in', '', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

--
-- Table structure for table `clockinout`
--

CREATE TABLE IF NOT EXISTS `clockinout` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `code` varchar(200) NOT NULL,
  `cdate` date NOT NULL,
  `ctime` datetime NOT NULL,
  `ctype` varchar(10) NOT NULL,
  `randomno` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `clockout`
--

CREATE TABLE IF NOT EXISTS `clockout` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `code` varchar(200) NOT NULL,
  `cdate` date NOT NULL,
  `ctime` datetime NOT NULL,
  `ctype` varchar(10) NOT NULL,
  `minput` varchar(2) NOT NULL,
  `updatedby` varchar(100) NOT NULL,
  `updatedtime` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=6 ;

--
-- Dumping data for table `clockout`
--

INSERT INTO `clockout` (`id`, `code`, `cdate`, `ctime`, `ctype`, `minput`, `updatedby`, `updatedtime`) VALUES
(1, '0001', '2014-03-21', '2014-03-21 17:46:00', 'out', '', '', '0000-00-00 00:00:00'),
(2, '0001', '2014-03-22', '2014-03-22 17:39:00', 'out', '', '', '0000-00-00 00:00:00'),
(3, '0001', '2014-03-22', '2014-03-22 00:03:00', 'out', '', '', '0000-00-00 00:00:00'),
(4, '0001', '2014-03-01', '2014-03-01 00:07:00', 'out', '', '', '0000-00-00 00:00:00'),
(5, '0001', '2014-03-02', '2014-03-02 02:07:00', 'out', '', '', '0000-00-00 00:00:00');

-- --------------------------------------------------------

--
-- Table structure for table `dept`
--

CREATE TABLE IF NOT EXISTS `dept` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `code` varchar(100) NOT NULL,
  `name` varchar(300) NOT NULL,
  `hod` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

--
-- Dumping data for table `dept`
--

INSERT INTO `dept` (`id`, `code`, `name`, `hod`) VALUES
(1, 'DEPT001', 'NURSING DEPT 001', ''),
(2, 'DEPT002', 'NURSING DEPT 002', '');

-- --------------------------------------------------------

--
-- Table structure for table `offday`
--

CREATE TABLE IF NOT EXISTS `offday` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `code` varchar(30) NOT NULL,
  `name` varchar(30) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

--
-- Dumping data for table `offday`
--

INSERT INTO `offday` (`id`, `code`, `name`) VALUES
(1, 'OFF', 'Off Day'),
(2, 'PH', 'Public Holiday'),
(3, 'LV', 'Leave'),
(4, 'MC', 'MC Leave');

-- --------------------------------------------------------

--
-- Table structure for table `otdetail`
--

CREATE TABLE IF NOT EXISTS `otdetail` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `cdate` date NOT NULL,
  `cin` datetime NOT NULL,
  `cout` datetime NOT NULL,
  `dept` varchar(100) NOT NULL,
  `docno` varchar(300) NOT NULL,
  `pmonth` varchar(10) NOT NULL,
  `pyear` varchar(30) NOT NULL,
  `updatedby` varchar(100) NOT NULL,
  `updatedtime` datetime NOT NULL,
  `remark` varchar(300) NOT NULL,
  `rosterid` bigint(20) NOT NULL,
  `staffcode` varchar(100) NOT NULL,
  `staffname` varchar(200) NOT NULL,
  `shift` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `roster`
--

CREATE TABLE IF NOT EXISTS `roster` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dept` varchar(100) NOT NULL,
  `docno` varchar(300) NOT NULL,
  `pmonth` varchar(10) NOT NULL,
  `pyear` varchar(30) NOT NULL,
  `updatedby` varchar(100) NOT NULL,
  `updatedtime` datetime NOT NULL,
  `remark` varchar(300) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `roster`
--

INSERT INTO `roster` (`id`, `dept`, `docno`, `pmonth`, `pyear`, `updatedby`, `updatedtime`, `remark`) VALUES
(1, 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '');

-- --------------------------------------------------------

--
-- Table structure for table `rosterdetail`
--

CREATE TABLE IF NOT EXISTS `rosterdetail` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `cdate` date NOT NULL,
  `cin` datetime NOT NULL,
  `cout` datetime NOT NULL,
  `dept` varchar(100) NOT NULL,
  `docno` varchar(300) NOT NULL,
  `pmonth` varchar(10) NOT NULL,
  `pyear` varchar(30) NOT NULL,
  `updatedby` varchar(100) NOT NULL,
  `updatedtime` datetime NOT NULL,
  `remark` varchar(300) NOT NULL,
  `rosterid` bigint(20) NOT NULL,
  `staffcode` varchar(100) NOT NULL,
  `staffname` varchar(200) NOT NULL,
  `shift` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=61 ;

--
-- Dumping data for table `rosterdetail`
--

INSERT INTO `rosterdetail` (`id`, `cdate`, `cin`, `cout`, `dept`, `docno`, `pmonth`, `pyear`, `updatedby`, `updatedtime`, `remark`, `rosterid`, `staffcode`, `staffname`, `shift`) VALUES
(1, '2014-04-01', '2014-04-01 15:00:00', '2014-04-02 00:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0001', 'Lim Boon Kiat', 'E'),
(2, '2014-04-02', '2014-04-02 15:00:00', '2014-04-03 00:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0001', 'Lim Boon Kiat', 'E'),
(3, '2014-04-03', '2014-04-03 15:00:00', '2014-04-04 00:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0001', 'Lim Boon Kiat', 'E'),
(4, '2014-04-04', '2014-04-04 15:00:00', '2014-04-05 00:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0001', 'Lim Boon Kiat', 'E'),
(5, '2014-04-05', '2014-04-05 15:00:00', '2014-04-06 00:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0001', 'Lim Boon Kiat', 'E'),
(6, '2014-04-06', '2014-04-06 15:00:00', '2014-04-07 00:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0001', 'Lim Boon Kiat', 'E'),
(7, '2014-04-07', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0001', 'Lim Boon Kiat', 'OFF'),
(8, '2014-04-08', '2014-04-08 15:00:00', '2014-04-09 00:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0001', 'Lim Boon Kiat', 'E'),
(9, '2014-04-09', '2014-04-09 08:00:00', '2014-04-09 17:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', 'DEPT002', 1, '0001', 'Lim Boon Kiat', 'M'),
(10, '2014-04-10', '2014-04-10 15:00:00', '2014-04-11 00:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0001', 'Lim Boon Kiat', 'E'),
(11, '2014-04-11', '2014-04-11 15:00:00', '2014-04-12 00:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0001', 'Lim Boon Kiat', 'E'),
(12, '2014-04-12', '2014-04-12 08:00:00', '2014-04-12 17:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0001', 'Lim Boon Kiat', 'M'),
(13, '2014-04-13', '2014-04-13 15:00:00', '2014-04-14 00:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0001', 'Lim Boon Kiat', 'E'),
(14, '2014-04-14', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0001', 'Lim Boon Kiat', 'OFF'),
(15, '2014-04-15', '2014-04-15 08:00:00', '2014-04-15 17:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0001', 'Lim Boon Kiat', 'M'),
(16, '2014-04-16', '2014-04-16 15:00:00', '2014-04-17 00:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0001', 'Lim Boon Kiat', 'E'),
(17, '2014-04-17', '2014-04-17 15:00:00', '2014-04-18 00:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0001', 'Lim Boon Kiat', 'E'),
(18, '2014-04-18', '2014-04-18 08:00:00', '2014-04-18 17:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0001', 'Lim Boon Kiat', 'M'),
(19, '2014-04-19', '2014-04-19 15:00:00', '2014-04-20 00:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0001', 'Lim Boon Kiat', 'E'),
(20, '2014-04-20', '2014-04-20 15:00:00', '2014-04-21 00:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0001', 'Lim Boon Kiat', 'E'),
(21, '2014-04-21', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0001', 'Lim Boon Kiat', 'OFF'),
(22, '2014-04-22', '2014-04-22 15:00:00', '2014-04-23 00:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0001', 'Lim Boon Kiat', 'E'),
(23, '2014-04-23', '2014-04-23 15:00:00', '2014-04-24 00:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0001', 'Lim Boon Kiat', 'E'),
(24, '2014-04-24', '2014-04-24 15:00:00', '2014-04-25 00:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0001', 'Lim Boon Kiat', 'E'),
(25, '2014-04-25', '2014-04-25 15:00:00', '2014-04-26 00:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0001', 'Lim Boon Kiat', 'E'),
(26, '2014-04-26', '2014-04-26 15:00:00', '2014-04-27 00:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0001', 'Lim Boon Kiat', 'E'),
(27, '2014-04-27', '2014-04-27 15:00:00', '2014-04-28 00:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0001', 'Lim Boon Kiat', 'E'),
(28, '2014-04-28', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0001', 'Lim Boon Kiat', 'OFF'),
(29, '2014-04-29', '2014-04-29 15:00:00', '2014-04-30 00:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0001', 'Lim Boon Kiat', 'E'),
(30, '2014-04-30', '2014-04-30 15:00:00', '2014-05-01 00:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0001', 'Lim Boon Kiat', 'E'),
(31, '2014-04-01', '2014-04-01 08:00:00', '2014-04-01 17:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0002', 'Tan Ah Ba', 'M'),
(32, '2014-04-02', '2014-04-02 08:00:00', '2014-04-02 17:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0002', 'Tan Ah Ba', 'M'),
(33, '2014-04-03', '2014-04-03 08:00:00', '2014-04-03 17:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0002', 'Tan Ah Ba', 'M'),
(34, '2014-04-04', '2014-04-04 08:00:00', '2014-04-04 17:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0002', 'Tan Ah Ba', 'M'),
(35, '2014-04-05', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0002', 'Tan Ah Ba', 'OFF'),
(36, '2014-04-06', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0002', 'Tan Ah Ba', 'OFF'),
(37, '2014-04-07', '2014-04-07 08:00:00', '2014-04-07 17:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0002', 'Tan Ah Ba', 'M'),
(38, '2014-04-08', '2014-04-08 08:00:00', '2014-04-08 17:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0002', 'Tan Ah Ba', 'M'),
(39, '2014-04-09', '2014-04-09 15:00:00', '2014-04-10 00:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0002', 'Tan Ah Ba', 'E'),
(40, '2014-04-10', '2014-04-10 08:00:00', '2014-04-10 17:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0002', 'Tan Ah Ba', 'M'),
(41, '2014-04-11', '2014-04-11 15:00:00', '2014-04-12 00:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0002', 'Tan Ah Ba', 'E'),
(42, '2014-04-12', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0002', 'Tan Ah Ba', 'OFF'),
(43, '2014-04-13', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0002', 'Tan Ah Ba', 'OFF'),
(44, '2014-04-14', '2014-04-14 08:00:00', '2014-04-14 17:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0002', 'Tan Ah Ba', 'M'),
(45, '2014-04-15', '2014-04-15 08:00:00', '2014-04-15 17:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0002', 'Tan Ah Ba', 'M'),
(46, '2014-04-16', '2014-04-16 08:00:00', '2014-04-16 17:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0002', 'Tan Ah Ba', 'M'),
(47, '2014-04-17', '2014-04-17 08:00:00', '2014-04-17 17:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0002', 'Tan Ah Ba', 'M'),
(48, '2014-04-18', '2014-04-18 08:00:00', '2014-04-18 17:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0002', 'Tan Ah Ba', 'M'),
(49, '2014-04-19', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0002', 'Tan Ah Ba', 'OFF'),
(50, '2014-04-20', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0002', 'Tan Ah Ba', 'OFF'),
(51, '2014-04-21', '2014-04-21 08:00:00', '2014-04-21 17:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0002', 'Tan Ah Ba', 'M'),
(52, '2014-04-22', '2014-04-22 08:00:00', '2014-04-22 17:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0002', 'Tan Ah Ba', 'M'),
(53, '2014-04-23', '2014-04-23 08:00:00', '2014-04-23 17:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0002', 'Tan Ah Ba', 'M'),
(54, '2014-04-24', '2014-04-24 08:00:00', '2014-04-24 17:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0002', 'Tan Ah Ba', 'M'),
(55, '2014-04-25', '2014-04-25 08:00:00', '2014-04-25 17:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0002', 'Tan Ah Ba', 'M'),
(56, '2014-04-26', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0002', 'Tan Ah Ba', 'OFF'),
(57, '2014-04-27', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0002', 'Tan Ah Ba', 'OFF'),
(58, '2014-04-28', '2014-04-28 08:00:00', '2014-04-28 17:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0002', 'Tan Ah Ba', 'M'),
(59, '2014-04-29', '2014-04-29 08:00:00', '2014-04-29 17:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0002', 'Tan Ah Ba', 'M'),
(60, '2014-04-30', '2014-04-30 08:00:00', '2014-04-30 17:00:00', 'DEPT001', 'DEPT001-2014-04', '04', '2014', 'admin', '2014-04-01 20:16:22', '', 1, '0002', 'Tan Ah Ba', 'M');

-- --------------------------------------------------------

--
-- Table structure for table `shift`
--

CREATE TABLE IF NOT EXISTS `shift` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `code` varchar(30) NOT NULL,
  `name` varchar(100) NOT NULL,
  `starthour` varchar(10) NOT NULL,
  `startmin` varchar(10) NOT NULL,
  `endhour` varchar(10) NOT NULL,
  `endmin` varchar(10) NOT NULL,
  `color` varchar(30) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

--
-- Dumping data for table `shift`
--

INSERT INTO `shift` (`id`, `code`, `name`, `starthour`, `startmin`, `endhour`, `endmin`, `color`) VALUES
(1, 'M', 'Morning Shift', '08', '00', '17', '00', ''),
(2, 'E', 'Evening Shift', '15', '00', '00', '00', '');

-- --------------------------------------------------------

--
-- Table structure for table `staff`
--

CREATE TABLE IF NOT EXISTS `staff` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `code` varchar(100) NOT NULL,
  `name` varchar(300) NOT NULL,
  `defaultshift` varchar(30) NOT NULL,
  `defaultoff1` varchar(30) NOT NULL,
  `defaultoff2` varchar(30) NOT NULL,
  `dept` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

--
-- Dumping data for table `staff`
--

INSERT INTO `staff` (`id`, `code`, `name`, `defaultshift`, `defaultoff1`, `defaultoff2`, `dept`) VALUES
(1, '0001', 'Lim Boon Kiat', 'E', 'Mon', '', 'DEPT001'),
(2, '0002', 'Tan Ah Ba', 'M', 'Sat', 'Sun', 'DEPT001'),
(3, '0003', 'Johnny English', 'M', 'Mon', '', 'DEPT002'),
(4, '0004', 'John Doe', 'M', 'Wed', '', 'DEPT002');

-- --------------------------------------------------------

--
-- Table structure for table `systemuser`
--

CREATE TABLE IF NOT EXISTS `systemuser` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(50) NOT NULL,
  `password` varchar(50) NOT NULL,
  `accesslevel` varchar(30) NOT NULL,
  `dept` varchar(100) NOT NULL,
  `email` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;

--
-- Dumping data for table `systemuser`
--

INSERT INTO `systemuser` (`id`, `username`, `password`, `accesslevel`, `dept`, `email`) VALUES
(1, 'admin', 'admin', 'admin', '', ''),
(2, 'user2', 'user2', 'HOD', 'DEPT002', ''),
(3, 'user3', 'user3', 'HOD', 'DEPT001', '');

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
